#ifndef WIDGETNODE_HPP_INCLUDED
#define WIDGETNODE_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class WidgetNode : public Node
    {
        public:
            WidgetNode();
            WidgetNode(const void* Obj);
            WidgetNode(const WidgetNode& W);
            static Class GetClass();

            std::int32_t GetID() const;
    };
}

#endif // WIDGETNODE_HPP_INCLUDED
